# 生产环境覆盖
global:
  labels:
    app.kubernetes.io/part-of: edu-platform
    app.kubernetes.io/environment: prod
  imagePullSecrets:
    - name: registry-credentials

configMap:
  data:
    NODE_ENV: production
    LOG_LEVEL: warn

ingress:
  hosts:
    - host: edu.example.com
      paths:
        - path: /api
          pathType: Prefix
          service: api-gateway
          port: 8080
        - path: /auth
          pathType: Prefix
          service: api-gateway
          port: 8080
  tls:
    - secretName: edu-tls
      hosts:
        - edu.example.com

hpa:
  minReplicas: 3
  maxReplicas: 20
  targetCPUUtilizationPercentage: 60
  targetMemoryUtilizationPercentage: 70
